%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-pycap
Version:        0.1.6
Release:        10%{?dist}
Summary:        Python Packet Capture and Injection Library

Group:          Development/Languages
License:        GPL
URL:            http://pycap.sourceforge.net/
Source0:        http://switch.dl.sourceforge.net/sourceforge/pycap/pycap-%{version}.tar.gz
Patch01:        pycap-0.1.6-warnings.patch
Patch02:        pycap-0.1.6-memleak.patch
Patch03:        pycap-0.1.6-sll.patch
Patch04:        pycap-0.1.6-new-packet.patch
Patch05:        pycap-0.1.6-inject-members.patch
Patch06:        pycap-0.1.6-ipv6.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, libnet-devel
Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires: libpcap

%description
This package provides the ability to capture packets from network
interfaces.  It dissects commonly found structures in network packets
such as Ethernet, IP_, ARP_, TCP_, UDP_, and ICMP_ headers.

%prep
%setup -q -n pycap-%{version}
%patch01 -p1 -b .warning
%patch02 -p1 -b .memleak
%patch03 -p1 -b .sll
%patch04 -p1 -b .new-packet
%patch05 -p1 -b .inject-members
%patch06 -p1 -b .ipv6


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# To avoid adding un-needed dependencies
chmod -x test/test*.py

%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --record=INSTALLED_FILES


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc docs/* test
#%{python_sitearch}/*


%changelog
* Thu Jan 18 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.1.6-0
- Initial version.
